Pinnacle Cycles (pythagorean)
POST
/numerology/pythagorean/pinnacles
curl -X POST https://api.astroway.info/v1/numerology/pythagorean/pinnacles \ -H "X-Api-Key: aw_live_..." \ -H "Content-Type: application/json" \ -d '{ "name": "John Smith", "date": "1990-05-15" }'const res = await fetch('https://api.astroway.info/v1/numerology/pythagorean/pinnacles', { method: 'POST', headers: { 'X-Api-Key': process.env.ASTROWAY_API_KEY, 'Content-Type': 'application/json', }, body: JSON.stringify({ "name": "John Smith", "date": "1990-05-15" }),});const { ok, data, error } = await res.json();if (!ok) throw new Error(error.message);console.log(data);import os, requests
r = requests.post( 'https://api.astroway.info/v1/numerology/pythagorean/pinnacles', headers={'X-Api-Key': os.environ['ASTROWAY_API_KEY'], 'Content-Type': 'application/json'}, json={ 'name': "John Smith", 'date': "1990-05-15" },)result = r.json()if not result['ok']: raise RuntimeError(result['error']['message'])print(result['data'])<?phpuse GuzzleHttp\Client;
$client = new Client(['base_uri' => 'https://api.astroway.info/v1/']);$r = $client->post('numerology/pythagorean/pinnacles', [ 'headers' => ['X-Api-Key' => getenv('ASTROWAY_API_KEY')], 'json' => [ 'name' => 'John Smith', 'date' => '1990-05-15', ],]);$result = json_decode($r->getBody(), true);if (!$result['ok']) throw new \RuntimeException($result['error']['message']);print_r($result['data']);Calculate four Pinnacle cycles with their age boundaries — life chapters of opportunity. Numerology — Pythagorean system.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
Example
{ "name": "John Smith", "date": "1990-05-15"}Responses
Section titled “ Responses ”Successful calculation
Media type application/json
object
ok
boolean
data
object
system
string
pinnacles
object
first
object
reduced
number
endsAtAge
number
second
object
reduced
number
endsAtAge
number
third
object
reduced
number
endsAtAge
number
fourth
object
reduced
number
endsAtAge
number
Example
{ "ok": true, "data": { "system": "pythagorean", "pinnacles": { "first": { "reduced": 7, "endsAtAge": 30 }, "second": { "reduced": 4, "endsAtAge": 39 }, "third": { "reduced": 3, "endsAtAge": 48 }, "fourth": { "reduced": 8, "endsAtAge": 57 } } }}Validation error
Media type application/json
Example
{ "ok": false, "error": { "code": "INVALID_INPUT", "message": "Validation failed: date: Date must be YYYY-MM-DD", "details": [ { "path": "date", "message": "Date must be YYYY-MM-DD" } ] }}Missing or invalid API key
Media type application/json
Example
{ "ok": false, "error": { "code": "INVALID_API_KEY", "message": "Invalid API key" }} Корисно?
Дякуємо за фідбек.